Subject: [Pana] pana-pana Issue237: PPAC AVP

From: Yoshihiro Ohba <[email-masked]>
Date: Tue, 27 Dec 2005 12:06:51 -0500

>8.11  Post-PANA-Address-Configuration (PPAC) AVP
>
>   The PPAC AVP (AVP Code 11) is used for conveying the available types
>   of post-PANA IP address configuration mechanisms when sent by the
>   PAA, and the chosen one when sent by the PaC.  Each possible
>   mechanisms is represented by a flag.  The AVP data is of type
>   Unsigned32.
>
>   The format of the AVP data is as follows:
>
>    0                   1                   2                   3
>    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |N|F|S|A|T|I|                    Reserved                       |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>  
>

>   PPAC Flags
>
>      N (No configuration)
>
>         The PaC does not have to (if sent by PAA) or will not (if sent
>         by PaC) configure a new IP address after PANA.
>
>      F (DHCPv4)
>
>         The PaC can (if sent by PAA) or will (if sent by PaC) use
>         DHCPv4 [RFC2131] to configure a new IPv4 address after PANA.
>
>      S (DHCPv6)
>
>         The PaC can (if sent by PAA) or will (if sent by PaC) use
>         DHCPv6 [RFC3315] to configure a new IPv4 address after PANA.
>
>      A (stateless autoconfiguration)
>
>         The PaC can/will use stateless IPv6 address autoconfiguration
>         [RFC2462] to configure a new IPv6 address after PANA.
>
>      T (DHCPv4 with IPsec tunnel mode)
>         The PaC can/will use [RFC3456] to configure a new IPv4 address
>         after PANA.
>
>      I (IKEv2)
>
>         The PaC can/will use [I-D.ietf-ipsec-ikev2] to configure (a)
>         new IPv4 and/or IPv6 address(es) after PANA.
>
>      Reserved
>
>         These flag bits are reserved for future use, and MUST be set
to
>         zero, and ignored by the receiver.
>  
>
PPP? SSL? SSH? IKE Config-Mode? Lots of ways to get an IP address. In 
any case, I didn't notice this space in the IANA considerations, though 
it seems it might be an area for future extension.

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: Jari Arkko <[email-masked]>
Date: Wed, 28 Dec 2005 16:02:50 +0200

>it seems it might be an area for future extension.
Indeed. But there is Section 10.5.2.

--Jari